## SYNOPSIS

           msguniq [OPTION] [INPUTFILE]

## DESCRIPTION

           Unifies  duplicate  translations in a translation catalog.
           Finds duplicate translations of the same message ID.  Such
           duplicates  are  invalid  input  for  other  programs like
           msgfmt, msgmerge or msgcat.  By  default,  duplicates  are
           merged  together.   When using the --repeated option, only
           duplicates are output, and all  other  messages  are  dis
           carded.   Comments  and  extracted  comments will be cumu
           lated, except that if --use-first is specified, they  will
           be  taken from the first translation.  File positions will
           be cumulated.  When using the --unique option,  duplicates
           are discarded.

           Mandatory  arguments  to  long  options  are mandatory for
           short options too.

       Input file location:
           INPUTFILE
                  input PO file

           -D, --directory=DIRECTORY
                  add DIRECTORY to list for input files search

           If no input file is given or if it is -, standard input is
           read.

       Output file location:
           -o, --output-file=FILE
                  write output to specified file

           The  results  are  written to standard output if no output
           file is specified or if it is -.

       Message selection:
           -d, --repeated
                  print only duplicates

           -u, --unique
                  print only unique messages, discard duplicates

       Output details:
           -t, --to-code=NAME
                  encoding for output

           --use-first
                  use first available translation for  each  message,
                  don't merge several translations

           -e, --no-escape
           -n, --add-location
                  generate '#: filename:line' lines (default)

           --strict
                  write out strict Uniforum conforming .po file

           -w, --width=NUMBER
                  set output page width

           --no-wrap
                  do  not  break  long message lines, longer than the
                  output page width, into several lines

           -s, --sort-output
                  generate sorted output

           -F, --sort-by-file
                  sort output by file location

       Informative output:
           -h, --help
                  display this help and exit

           -V, --version
                  output version information and exit

## AUTHOR

           Written by Bruno Haible.

## REPORTING BUGS

           Report bugs to <bug-gnu-gettext@gnu.org>.

## COPYRIGHT

           Copyright © 2001-2002 Free Software Foundation, Inc.
           This is free software; see the source for  copying  condi
           tions.  There is NO warranty; not even for MERCHANTABILITY
           or FITNESS FOR A PARTICULAR PURPOSE.

## SEE ALSO

           The full documentation for msguniq is maintained as a Tex
           info  manual.   If the info and msguniq programs are prop
           erly installed at your site, the command

                  info msguniq

           should give you access to the complete manual.

    GNU gettext 0.11.5         August 2002                 MSGUNIQ(1)